Bug 855677 - X fails to start, as plymouth still is drm master
X fails to start, as plymouth still is drm master
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: plymouth (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-09 17:16 EDT by Clemens Eisserer
Modified: 2013-08-22 09:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 14:06:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
plymouth debug log with X not initializing (149.34 KB, text/plain)
2013-02-07 13:10 EST, Clemens Eisserer
no flags Details

  None (edit)
Description Clemens Eisserer 2012-09-09 17:16:46 EDT
Description of problem:

From time to time X fails to initialize with rhgb turned on.
I've seen this issue on various intel based notebooks (i945GM, core i5-540M (arrendale), core-i7 (sandy bridge)) and reported it to the intel driver developers: https://bugs.freedesktop.org/show_bug.cgi?id=42972

They analyzed the issue (this included generating a very detailed Xorg debug trace), and according to their analysis its a system configuration issue - because something else is still drm master when starting X, causing the intel driver to bail out.


Version-Release number of selected component (if applicable):
Fedora 17
plymouth-0.8.5-0.2012.04.27.2.fc17.x86_64

How reproducible:
Sometimes

Steps to Reproduce:
1. Boot the notebook with rhgb turned on
2. Sometimes X fails to initialize (~5%); doesn't make a difference if I am working with the notebook panel or an external monitor
  
Actual results:
X fails to initialize, because some other program is still DRM master

Expected results:
The program still beeing drm master when X is started should stop claiming drm master ownership. 


Additional info:
Comment 1 Clemens Eisserer 2012-09-09 17:20:51 EDT
forgot to mention, I have never experienced this problem when rhgb was turned off (usually did this after running into the problem a few times)
Comment 2 Ray Strode [halfline] 2012-09-12 11:53:38 EDT
we definitely supposed to be dropping master before X is starting (code is written to do that).

Can you add plymouth.debug to the kernel command line and then attach /var/log/plymouth-debug.log for a run when this problem happens?  Before doing that, can you try the latest plymouth from updates-testing (make sure you dracut -f after installing it to rebuild your initrd) just so we're working from the latest codebase.
Comment 3 Clemens Eisserer 2012-11-16 11:33:46 EST
Haven't seen this for quite some time, probably it has been fixed in the meanwhile. Thanks =)
Comment 4 Clemens Eisserer 2013-02-07 13:09:15 EST
Ok, happens more frequently again with Fedora17 + current stable updates, probably it regressed again.

Please find a plymouth-debug log attached, which was created when I reproduced the issue again.
Comment 5 Clemens Eisserer 2013-02-07 13:10:27 EST
Created attachment 694683 [details]
plymouth debug log with X not initializing
Comment 6 Fedora End Of Life 2013-07-04 02:30:41 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-08-01 14:06:17 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 Philippe Coval 2013-08-22 09:50:59 EDT
If anyone still cares, Is that bug still present on current fedora ?
If yes is it reported ? I would say yes but I havent tested much 

Anyway let me notify that ubuntu workaround this race issues with a "try loop" patch ...

https://bugs.launchpad.net/ubuntu/+source/lightdm/+bug/982889#149

Regards

Note You need to log in before you can comment on or make changes to this bug.